# Clock constraints

create_clock -name "pcie_refclk" -period 10.000ns [get_ports {pcie_refclk}]

# Automatically constrain PLL and other generated clocks
derive_pll_clocks -create_base_clocks

# Automatically calculate clock uncertainty to jitter and other effects.
derive_clock_uncertainty

# False paths to calm down TimeQuest
set_false_path -from [get_ports pcie_perstn]
set_false_path -to [get_ports user_led[*]]

# The PCIe reconfiguration logic is driven by pcie_refclk, with a cycle of
# 10 ns. As coreclkout (8 ns, the to-be application logic clock) is derived
# from the former, they are timed as related on Arria V, causing an impossible
# 2 ns requirements between these clocks.
set_false_path -from [get_clocks *|g_cavhip.arriav_hd_altpe2_hip_top|coreclkout] -to [get_clocks {pcie_refclk}]
set_false_path -to [get_clocks *|g_cavhip.arriav_hd_altpe2_hip_top|coreclkout] -from [get_clocks {pcie_refclk}]

# False paths on JTAG ports pins (why are they timed at all?)
set_false_path -from [get_ports altera_reserved_*]
set_false_path -to [get_ports altera_reserved_*]
